=== debian/changelog ===
hydrogen (0.9.6~beta1-1ubuntu1) precise; urgency=low

  * Replace rsvg with rsvg-convert in debian/rules to prevent FTBFS with
    newer librsvg2-bin (LP: #935170)

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 18 Feb 2012 16:43:33 +0100

hydrogen (0.9.6~beta1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Improve debian/watch file.
    - Detect upstream beta, alpha and rc releases.
  * Switch buildsystem from scons to cmake.
  * Replace negated list of non-linux architectures with linux-any.
  * Refresh debian/patches/09_portaudio_v2.patch.
  * Remove debian/patches/1002_relax_SCons_linux2_resolving.patch and
    other scons-specific patches as buildsystem has changed to cmake.
  * Refresh 1005_name_shouldnt_repeat_genericname.patch, plus some
    additions:
    - Remove deprecated FilePattern, Encoding keys.
    - Add trailing ';' to the MimeType field.
    - Remove unregistered 'Sound' value from Categories.
  * Remove 1006_werror_format_security.patch, applied upstream.
  * Add -lporttime to LDFLAGS to avoid FTBFS.
  * debian/copyright:
    - Fix lintian's copyright-refers-to-symlink-license warnings.
  * Don't install empty directories.
  * Delete development files and both shared and static objects for
    now, we'll introduce them once upstream will have released a
    stable release.

 -- Alessio Treglia <alessio@debian.org>  Fri, 27 Jan 2012 10:49:02 +0100
