## hydrogen 0.9.6~beta2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #
 # CMAKE SETUP
 #
+
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
 # The CMake Policy mechanism is designed to help keep existing projects building as new versions of CMake introduce changes in behavior.
@@ -115,7 +116,7 @@
     ENDIF(APPLE)
 ENDIF(WIN32)
 
-EXECUTE_PROCESS(COMMAND svnversion -n OUTPUT_VARIABLE REVISION )
+EXECUTE_PROCESS(COMMAND git log --pretty=format:'%h' -n 1 OUTPUT_VARIABLE REVISION )
 
 #
 # HEADER LIBRARY FUNCTIONS
@@ -287,7 +288,7 @@
 ADD_SUBDIRECTORY(src/synth)
 ADD_SUBDIRECTORY(src/gui)
 
-INSTALL(DIRECTORY data DESTINATION ${SYS_DATA_PATH}/.. PATTERN ".svn" EXCLUDE)
+INSTALL(DIRECTORY data DESTINATION ${SYS_DATA_PATH}/.. PATTERN ".git" EXCLUDE)
 IF(NOT WIN32 AND NOT APPLE)
     INSTALL(FILES ${CMAKE_SOURCE_DIR}/linux/hydrogen.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
 ENDIF()
