=== debian/changelog ===
hydrogen (0.9.6~beta2-1build1) raring; urgency=low

  * No-change rebuild for the libarchive13 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 24 Feb 2013 14:51:48 -0700

hydrogen (0.9.6~beta2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Don't install extra/serverTools directory, it is no longer provided.
  * Fix off-by-one error in JACK MIDI.
    Thanks to Roland Mas for the patch! (Closes: #661725)

 -- Alessio Treglia <alessio@debian.org>  Tue, 12 Jun 2012 11:50:06 +0200

hydrogen (0.9.6~beta1-3) unstable; urgency=low

  * Team upload.

  [ Adrian Knoth ]
  * Add patch to fix FTBFS with gcc-4.7 (Closes: #667203).

  [ Alessio Treglia ]
  * Update debian/copyright to machine-readable format.
  * Bump Standards-Version.
  * Regenerate debian/control.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 May 2012 11:28:41 -0700

hydrogen (0.9.6~beta1-2) unstable; urgency=low

  * Replace rsvg with rsvg-convert to convert SVG to PNG image (LP: #935170):
    - Future versions of librsvg won't provide the 'rsvg' tool anymore.

 -- Alessio Treglia <alessio@debian.org>  Sat, 18 Feb 2012 17:46:48 +0100
