## hydrogen 0.9.6~beta3

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,9 +19,16 @@
 SET(VERSION_MAJOR "0")
 SET(VERSION_MINOR "9")
 SET(VERSION_PATCH "6")
+SET(VERSION_SUFFIX "beta3")
+
 SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
+
+
 IF(VERSION_SUFFIX)
-    SET(VERSION "${VERSION}-${VERSION_SUFFIX}")
+	SET(DISPLAY_VERSION "${VERSION}-${VERSION_SUFFIX}")
+ELSE() 
+	EXECUTE_PROCESS(COMMAND git log --pretty=format:'%h' -n 1 OUTPUT_VARIABLE GIT_REVISION )
+	SET(DISPLAY_VERSION "${VERSION}-${GIT_REVISION}")
 ENDIF(VERSION_SUFFIX)
 SET(LIBSNDFILE_VERSION_PREV "1.0.17")
 
@@ -116,7 +123,6 @@
     ENDIF(APPLE)
 ENDIF(WIN32)
 
-EXECUTE_PROCESS(COMMAND git log --pretty=format:'%h' -n 1 OUTPUT_VARIABLE REVISION )
 
 #
 # HEADER LIBRARY FUNCTIONS
@@ -324,6 +330,3 @@
     SET(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\www.hydrogen-music.org/")
     SET(CPACK_NSIS_CONTACT "hydrogen-devel@lists.sourceforge.net")
     SET(CPACK_PACKAGE_EXECUTABLES "hydrogen-gui.exe;Advanced drum machine for GNU/Linux")
-    SET(CPACK_NSIS_MENU_LINKS "hydrogen-gui.exe;Advanced drum machine for GNU/Linux")
-    SET(CPACK_SOURCE_GENERATOR "ZIP")
-ELSE(WIN32)
