=== debian/changelog ===
hydrogen (0.9.6~beta3-1) unstable; urgency=low

  * Team upload.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.

  [ Alessio Treglia ]
  * New upstream release.
  * Refresh debian/patches/09_portaudio_v2.patch.
  * Drop 1007_off_by_one_in_jackmidi.patch, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Fri, 04 Oct 2013 15:19:02 +0100
