=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: hydrogen
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: devscripts (>= 2.10.7~),
- cdbs (>= 0.4.73~),
- debhelper (>= 6),
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Jonas Smedegaard <dr@jones.dk>
+Build-Depends:
+ cdbs (>= 0.4.70~),
+ devscripts,
+ debhelper,
  dh-buildinfo,
  cmake,
  libqt4-dev,
@@ -26,15 +27,19 @@
  libportmidi-dev,
  librsvg2-bin,
  netpbm
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.hydrogen-music.org/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/hydrogen.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/hydrogen.git;a=summary
 
 Package: hydrogen
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: hydrogen-drumkits, rubberband-cli
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ hydrogen-drumkits,
+ rubberband-cli
 Description: advanced drum machine/step sequencer
  Hydrogen is an advanced drum machine.  It's main goal is to bring
  professional yet simple and intuitive pattern-based drum programming.
