=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,6 @@
 export QTDIR=/usr/share/qt4
 
 DEB_INSTALL_MANPAGES_hydrogen = debian/hydrogen.1
-DEB_INSTALL_EXAMPLES_hydrogen = extra/serverTools
 
 # Put aside upstream-shipped autogenerated files during build
 upstreamtmpfiles = $(wildcard data/doc/*.html data/doc/*.docbook)
