=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=uversionmangle=s/-(beta|alpha|rc)/~$1/ \
http://sf.net/hydrogen/hydrogen-(.+)\.tar\.gz
