## hydrogen 0.9.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,24 +19,26 @@
 SET(VERSION_MAJOR "0")
 SET(VERSION_MINOR "9")
 SET(VERSION_PATCH "6")
-SET(VERSION_SUFFIX "beta3")
-
-SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
-
-
-IF(VERSION_SUFFIX)
-	SET(DISPLAY_VERSION "${VERSION}-${VERSION_SUFFIX}")
-ELSE() 
-	EXECUTE_PROCESS(COMMAND git log --pretty=format:'%h' -n 1 OUTPUT_VARIABLE GIT_REVISION )
-	SET(DISPLAY_VERSION "${VERSION}-${GIT_REVISION}")
-ENDIF(VERSION_SUFFIX)
+SET(VERSION_PATCH2 "1")
+#SET(VERSION_SUFFIX "RC2")
+
+SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}.${VERSION_PATCH2}")
+SET(DISPLAY_VERSION "${VERSION}")
+
+#IF(VERSION_SUFFIX)
+#	SET(DISPLAY_VERSION "${VERSION}-${VERSION_SUFFIX}")
+#ELSE() 
+#	EXECUTE_PROCESS(COMMAND git log --pretty=format:'%h' -n 1 OUTPUT_VARIABLE GIT_REVISION )
+#	SET(DISPLAY_VERSION "${VERSION}-${GIT_REVISION}")
+#ENDIF(VERSION_SUFFIX)
+
 SET(LIBSNDFILE_VERSION_PREV "1.0.17")
 
 #
 # CONFIG OPTIONS
 #
 SET(WANT_LIBTAR TRUE)
-OPTION(WANT_DEBUG       "build with debug information" ON)
+OPTION(WANT_DEBUG       "build with debug information" OFF)
 
 IF(APPLE)
     OPTION(WANT_SHARED      "Build the core library shared." OFF)
@@ -44,7 +46,7 @@
     OPTION(WANT_SHARED      "Build the core library shared." ON)
 ENDIF()
 
-OPTION(WANT_LIBARCHIVE   "Enable use of libarchive instead of libtar" OFF)
+OPTION(WANT_LIBARCHIVE   "Enable use of libarchive instead of libtar" ON)
 OPTION(WANT_LADSPA       "Enable use of LADSPA plugins" ON)
 
 IF(APPLE)
@@ -53,11 +55,17 @@
 	OPTION(WANT_JACKSESSION "Enable use of Jack-Session-Handler" ON)
 ENDIF()
 
-OPTION(WANT_OSS          "Include OSS (Open Sound System) support" OFF)
+IF("${CMAKE_SYSTEM_NAME}" MATCHES "NetBSD")
+	OPTION(WANT_OSS          "Include OSS (Open Sound System) support" ON)
+ELSE()
+	OPTION(WANT_OSS          "Include OSS (Open Sound System) support" OFF)
+ENDIF()
+
 OPTION(WANT_ALSA         "Include ALSA (Advanced Linux Sound Architecture) support" ON)
 OPTION(WANT_JACK         "Include JACK (Jack Audio Connection Kit) support" ON)
 OPTION(WANT_PORTAUDIO    "Include PortAudio support" OFF)
 OPTION(WANT_PORTMIDI     "Include PortMidi support" OFF)
+OPTION(WANT_PULSEAUDIO   "Include PulseAudio support" ON)
 OPTION(WANT_LASH         "Include LASH (Linux Audio Session Handler) support" OFF)
 OPTION(WANT_LRDF         "Include LRDF (Lightweight Resource Description Framework with special support for LADSPA plugins) support" OFF)
 OPTION(WANT_RUBBERBAND   "Include RUbberBand (Audio Time Stretcher Library) support" OFF)
@@ -66,6 +74,7 @@
     OPTION(WANT_COREMIDI    "Include CoreMidi support" ON)
     OPTION(WANT_BUNDLE  "Build a MAC OSX bundle application" ON)
 ENDIF()
+OPTION(WANT_CPPUNIT      "Include CppUnit test suite" ON)
 
 IF(WANT_DEBUG)
     SET(CMAKE_BUILD_TYPE Debug)
@@ -88,14 +97,20 @@
 ENDIF()
 
 #SET(CMAKE_CXX_FLAGS "-fno-implement-inlines -finline-small-functions -findirect-inlining -fpartial-inlining")
-SET(CMAKE_CXX_FLAGS "-O2 -fno-implement-inlines")
+IF(APPLE)
+	SET(CMAKE_CXX_FLAGS "-O2")
+ELSE()
+	SET(CMAKE_CXX_FLAGS "-O2 -fno-implement-inlines")
+ENDIF()
+
 SET(CMAKE_CXX_FLAGS_RELEASE "")
+
 SET(CMAKE_CXX_FLAGS_DEBUG "-g ")#-Winline")
 
 
 IF(APPLE)
 	#Compile for 32bit and 64bit intel macs
-	SET (CMAKE_OSX_ARCHITECTURES "i386;x86_64;")
+	SET (CMAKE_OSX_ARCHITECTURES "x86_64;")
 ENDIF()
 #
 # MANDATORY PKGS AND DEFAULT OPTIONS
@@ -159,7 +174,13 @@
 FIND_HELPER(LIBSNDFILE sndfile sndfile.h sndfile)
 FIND_HELPER(ALSA alsa alsa/asoundlib.h asound )
 FIND_LADSPA(LADSPA ladspa.h noise)
-FIND_HELPER(OSS oss sys/soundcard.h OSSlib )
+
+IF("${CMAKE_SYSTEM_NAME}" MATCHES "NetBSD")
+	FIND_HELPER(OSS oss sys/soundcard.h ossaudio )
+ELSE()
+	FIND_HELPER(OSS oss sys/soundcard.h OSSlib )
+ENDIF()
+
 FIND_HELPER(JACK jack jack/jack.h jack)
 FIND_HELPER(JACKSESSION jack jack/session.h jack)
 IF(APPLE)
@@ -170,12 +191,21 @@
 ENDIF()
 FIND_HELPER(PORTAUDIO portaudio-2.0 portaudio.h portaudio)
 FIND_HELPER(PORTMIDI portmidi portmidi.h portmidi)
+FIND_HELPER(PULSEAUDIO pulseaudio pulse/pulseaudio.h pulse)
 FIND_HELPER(LASH lash-1.0 lash/lash.h lash)
 FIND_HELPER(LRDF lrdf lrdf.h lrdf)
+
+IF(LRDF_FOUND)
+	include_directories(${LRDF_INCLUDE_DIRS}) # see github issue 194
+ENDIF(LRDF_FOUND)
+
 FIND_HELPER(RUBBERBAND rubberband RubberBandStretcher.h rubberband)
+FIND_HELPER(CPPUNIT cppunit cppunit/TestCase.h cppunit)
+
 # CHECK FOR Qt4
 SET(QT_USE_QTNETWORK true)
 SET(QT_USE_QTXML true)
+SET(QT_USE_QTGUI true)
 SET(QT_USE_QTXMLPATTERNS true)
 FIND_PACKAGE(Qt4 4.3.0 REQUIRED)
 
@@ -192,7 +222,7 @@
 #
 # COMPUTE H2CORE_HAVE_xxx xxx_STATUS_REPORT
 #
-SET(STATUS_LIST LIBSNDFILE LIBTAR LIBARCHIVE LADSPA ALSA OSS JACK JACKSESSION COREAUDIO COREMIDI PORTAUDIO PORTMIDI LASH LRDF RUBBERBAND )
+SET(STATUS_LIST LIBSNDFILE LIBTAR LIBARCHIVE LADSPA ALSA OSS JACK JACKSESSION COREAUDIO COREMIDI PORTAUDIO PORTMIDI PULSEAUDIO LASH LRDF RUBBERBAND CPPUNIT )
 FOREACH( _pkg ${STATUS_LIST})
     COMPUTE_PKGS_FLAGS(${_pkg})
 ENDFOREACH()
@@ -248,7 +278,8 @@
 * ${purple}CoreAudio${reset}                    : ${COREAUDIO_STATUS}
 * ${purple}CoreMidi${reset}                     : ${COREMIDI_STATUS}
 * ${purple}PortAudio${reset}                    : ${PORTAUDIO_STATUS}
-* ${purple}PortMidi${reset}                     : ${PORTMIDI_STATUS}\n"
+* ${purple}PortMidi${reset}                     : ${PORTMIDI_STATUS}
+* ${purple}PulseAudio${reset}                   : ${PULSEAUDIO_STATUS}\n"
 )
 
 COLOR_MESSAGE("${cyan}Usefull extensions${reset}
@@ -263,7 +294,8 @@
     COLOR_MESSAGE("${cyan}Miscellaneous capabilities${reset}
 -----------------------------------------
 * realtime clock               : ${HAVE_RTCLOCK}
-* working sscanf               : ${HAVE_SSCANF}\n"
+* working sscanf               : ${HAVE_SSCANF}
+* unit tests                   : ${CPPUNIT_STATUS}\n"
     )
 ENDIF()
 
@@ -288,7 +320,9 @@
 # SET BUILD INFORMATION
 #
 ADD_SUBDIRECTORY(src/core)
-ADD_SUBDIRECTORY(src/tests)
+IF(H2CORE_HAVE_CPPUNIT)
+    ADD_SUBDIRECTORY(src/tests)
+ENDIF()
 ADD_SUBDIRECTORY(src/cli)
 ADD_SUBDIRECTORY(src/player)
 ADD_SUBDIRECTORY(src/synth)
@@ -310,23 +344,3 @@
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
 
 SET(CPACK_PACKAGE_VERSION_MAJOR "${VERSION_MAJOR}")
-SET(CPACK_PACKAGE_VERSION_MINOR "${VERSION_MINOR}")
-SET(CPACK_PACKAGE_VERSION_PATCH "${VERSION_PATCH}")
-IF(VERSION_SUFFIX)
-    SET(CPACK_PACKAGE_VERSION_PATCH "${VERSION_PATCH}-${VERSION_SUFFIX}")
-ENDIF(VERSION_SUFFIX)
-
-SET(CPACK_PACKAGE_INSTALL_DIRECTORY "Hydrogen ${VERSION}")
-
-
-
-IF(WIN32)
-    # TODO
-    #SET(CPACK_PACKAGE_ICON "${CMAKE_SOURCE_DIR}/data\\\\nsis_branding.bmp")
-    SET(CPACK_NSIS_MUI_ICON "${CMAKE_SOURCE_DIR}/data\\\\hydrogen.ico")
-    SET(CPACK_NSIS_INSTALLED_ICON_NAME "hydrogen.exe")
-    SET(CPACK_NSIS_DISPLAY_NAME "Hydrogen (Advanced drum machine for GNU/Linux)")
-    SET(CPACK_NSIS_HELP_LINK "http:\\\\\\\\www.hydrogen-music.org/")
-    SET(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\www.hydrogen-music.org/")
-    SET(CPACK_NSIS_CONTACT "hydrogen-devel@lists.sourceforge.net")
-    SET(CPACK_PACKAGE_EXECUTABLES "hydrogen-gui.exe;Advanced drum machine for GNU/Linux")
