=== cmake/sscanf/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
add_definitions()
include_directories()
link_directories()
add_executable(sscanf sscanf.c)
target_link_libraries(sscanf  )
