=== debian/changelog ===
hydrogen (0.9.6.1-1build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:43:35 +0000

hydrogen (0.9.6.1-1) unstable; urgency=medium

  * Bump Standards.
  * Set dh/compat 9.
  * Fix use canonical Vcs-Git URL.
  * Add Keywords to desktop file.
  * Update copyright file.
  * Add myself as uploader.
  * Add libpulse-dev as build-dep.
  * Add librubberband-dev as build-dep.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 21 Oct 2014 14:02:46 +0200
