=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: hydrogen
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Jonas Smedegaard <dr@jones.dk>
+ Jonas Smedegaard <dr@jones.dk>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  cdbs (>= 0.4.70~),
  devscripts,
- debhelper,
+ debhelper (>= 9),
  dh-buildinfo,
  cmake,
  libqt4-dev,
@@ -23,14 +25,16 @@
  libjack-dev,
  liblrdf-dev,
  libsndfile1-dev (>= 1.0.18),
+ librubberband-dev,
  portaudio19-dev,
  libportmidi-dev,
+ libpulse-dev,
  librsvg2-bin,
  netpbm
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://www.hydrogen-music.org/
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/hydrogen.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/hydrogen.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/hydrogen.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/hydrogen.git
 
 Package: hydrogen
 Architecture: any
